<template>
<div >
  <Dialog
   :visible.sync="value"
    header="Are you sure you want to delete?"
    :style="{width: '40vw'}"
    :modal="true"
  >
    <div class="col-md-12">
      <label for="deleteReason" class="col-md-4 control-label">Delete Reason</label>
      <div class="form-group col-md-8">
        <textarea class="form-control" id="deleteReason" rows="5" v-model="deleteReason"></textarea>
      </div>
    </div>
    <template #footer>
      <Button class="btn btn-danger" type="submit" @click="deleted">Delete</Button>
      <Button class="btn btn-success" type="submit" @click="cancel">Cancel</Button>
    </template>
  </Dialog>
</div>
</template>
<script>
import Dialog from 'primevue/dialog'
export default {
  data() {
    return {
      deleteReason: ''
    }
  },
  props: {
    value: {
      required: true
    }
  },
  methods: {
    cancel() {
      this.$emit('input', !this.value)
    },
    deleted() {
      this.$emit('deleted', this.deleteReason)
      this.deleteReason = ''
      this.value = false
    }
  },
  components: {
    Dialog
  }
}
</script>
